.ferris-container {
	padding:140px 0 !important;
}
.ferris-wrapper {
	position:relative;
	display:block;
	width:400px;
	height:400px;
	margin:0 auto;
}
.ferris-wrapper:before {
  content: "";
  height: 200px;
  width: 200px;
  position: absolute;
  border-radius: 50%;
  left: calc(50% - 100px);
  top: calc(50% - 100px);
  z-index: 5;
  background:url('../../../../../wp-content/uploads/2023/06/strive-obesity-fav.png') no-repeat center center;
  background-size:120px;
  background-color:#ffffff;
	border-radius:100%;
}
.ferris-wrapper:after {
	z-index:3;
	height:200px;
	width:200px;
	margin-left:-100px;
	margin-top:-100px;
	background-image:none;
	background-color:#ffffff;
}

.ferris_wheel ,.wheel {
  border: 4px solid rgba(255,255,255,0.3);
  width: 400px;
  height: 400px;
  border-radius: 50%;
}

.ferris_wheel {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%) scale(1.4, 1.4);
  border: 0;
}

.wheel_wrap { position: absolute; }
.eight .wheel_wrap { animation: wheel_rotate 160s infinite linear; }
.nine .wheel_wrap { animation: wheel_rotate 180s infinite linear; }


/*2nd Wheel*/
.wheel span:before,
.wheel span:after{
	display:none;
	border-right:0;
}
.wheel span:before { content: ""; border-bottom: 0; height:4px; position: absolute; width: 400px; top: 50%; left: 0; display:block; background: rgb(23,56,108); background:linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 50%, rgba(255,255,255,0.3) 50%, rgba(255,255,255,0.3) 100%); }

.eight .wheel span:nth-child(1):before { transform: rotate(0deg); }
.eight .wheel span:nth-child(2):before { transform: rotate(-45deg); }
.eight .wheel span:nth-child(3):before { transform: rotate(-90deg); }
.eight .wheel span:nth-child(4):before { transform: rotate(-135deg); }
.eight .wheel span:nth-child(5):before { transform: rotate(-180deg); }
.eight .wheel span:nth-child(6):before { transform: rotate(-225deg); }
.eight .wheel span:nth-child(7):before { transform: rotate(-270deg); }
.eight .wheel span:nth-child(8):before { transform: rotate(-315deg); }

.nine .wheel span:nth-child(1):before { transform: rotate(0deg); }
.nine .wheel span:nth-child(2):before { transform: rotate(-40deg); }
.nine .wheel span:nth-child(3):before { transform: rotate(-80deg); }
.nine .wheel span:nth-child(4):before { transform: rotate(-120deg); }
.nine .wheel span:nth-child(5):before { transform: rotate(-160deg); }
.nine .wheel span:nth-child(6):before { transform: rotate(-200deg); }
.nine .wheel span:nth-child(7):before { transform: rotate(-240deg); }
.nine .wheel span:nth-child(8):before { transform: rotate(-280deg); }
.nine .wheel span:nth-child(9):before { transform: rotate(-320deg); }



@keyframes wheel_rotate {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}



.buckets > div {
  position: absolute;
  width:120px;
  top: 50%;
  left: 50%;
  margin-left:-60px;
  margin-top:-60px;
}
.buckets > div.cabin {	
	text-align:center;
    border: 1px solid rgba(0,0,0,0);
	border-radius:50%;
	color:#ffffff;
}

.buckets > div.cabin .img-holder { position:relative; }
.buckets > div.cabin .img-holder img.png {
	position:absolute;
	left:0; top:0;
	z-index:10;
	width:100%;
}
.buckets div img { max-width:100%; border-radius:50%; background:#222222; position:relative; z-index:1; -webkit-transition: all 0.34s ease; transition : all 0.34s ease; opacity:1; filter:alpha(opacity=100); }
.buckets div.cabin:hover img { background: rgba(255,255,255,0.6); border: 1px solid #444444; }
.buckets div h3 { font-size:1.1em; display:none; line-height:1.1; font-weight:600; font-family:"Roboto"; color:#ffffff; min-height:2.2em; }

.buckets span {
  display: inline-block;
  height: 0;
  width: auto;
  position: relative;
}



@keyframes bucket_rotate {
  0% { 
    transform: rotate(0) translateX(200px) rotate(0); 
  }
  100% { 
    transform: rotate(360deg) translateX(200px) rotate(-360deg); 
  }
}

.ferris_wheel:hover .wheel_wrap,
.ferris_wheel:hover .buckets div,
.ferris_wheel:hover .buckets > div:before {
	 animation-play-state: paused !important; 
} 




/*Eight Ferris Wheel*/
.eight .buckets div:nth-child(2) { animation-delay: -20s; }
.eight .buckets div:nth-child(3) { animation-delay: -40s; }
.eight .buckets div:nth-child(4) { animation-delay: -60s; }
.eight .buckets div:nth-child(5) { animation-delay: -80s; }
.eight .buckets div:nth-child(6) { animation-delay: -100s; }
.eight .buckets div:nth-child(7) { animation-delay: -120s; }
.eight .buckets div:nth-child(8) { animation-delay: -140s; }
.eight .buckets > div { animation: bucket_rotate 160s infinite linear; }

/*Nine Ferris Wheel*/
.nine .buckets div:nth-child(2) { animation-delay: -20s; }
.nine .buckets div:nth-child(3) { animation-delay: -40s; }
.nine .buckets div:nth-child(4) { animation-delay: -60s; }
.nine .buckets div:nth-child(5) { animation-delay: -80s; }
.nine .buckets div:nth-child(6) { animation-delay: -100s; }
.nine .buckets div:nth-child(7) { animation-delay: -120s; }
.nine .buckets div:nth-child(8) { animation-delay: -140s; }
.nine .buckets div:nth-child(9) { animation-delay: -160s; }
.nine .buckets > div { animation: bucket_rotate 180s infinite linear; }


/* #commercial_slick .slick-list { padding:10px 0 !important; }
#commercial_slick .slick-ferris { padding-top:150px; padding-bottom:150px; }
#commercial_slick .btn-prev,
#commercial_slick .btn-next { position:absolute; top:50%; margin-top:-10px; z-index:10; background:transparent; font-size:40px; }
#commercial_slick .btn-prev:hover,
#commercial_slick .btn-next:hover { background:rgba(0,0,0,0.3);}
#commercial_slick .btn-prev { left:0; }
#commercial_slick .btn-next { right:0; }
#commercial_slick button.slick-disabled,
#commercial_slick button.slick-disabled:hover { background:transparent; cursor:default; opacity:0.2; filter:alpha(opacity=20);} */



/*TABLET*/
@media only screen and (max-width: 1600px) and (min-width:768px) {
	.ferris-container {
	  padding: 120px 0 !important;
	}
	.ferris-wrapper, .ferris_wheel, .wheel {
	  width: 300px;
	  height: 300px;
	}
	.wheel span:before { width:300px; }
	.buckets > div {
	  position: absolute;
	  width:100px;
	  margin-left:-50px;
	  margin-top:-50px;
	}
	@keyframes bucket_rotate {
	  0% { 
		transform: rotate(0) translateX(150px) rotate(0); 
	  }
	  100% { 
		transform: rotate(360deg) translateX(150px) rotate(-360deg); 
	  }
	}
}



/*MOBILE*/
@media only screen and (max-width:767px) {
	.buckets > div {
	  width:65px;
	  margin-left:-32.5px;
		margin-top:-32.5px;
	}
	.ferris-wrapper {
		width:200px;
		height:200px;
	}
	.ferris_wheel, .wheel {
		width: 200px;
		height: 200px;
	}
	.ferris-wrapper:before {
	  height: 150px;
	  width: 150px;
	  left: calc(50% - 75px);
	  top: calc(50% - 75px);
	  background-size:150px 150px;
	}
	.wheel span:nth-child(1):before,
	.wheel span:nth-child(1):after,
	.wheel span:nth-child(2):before,
	.wheel span:nth-child(2):after,
	.wheel span:nth-child(3):before {
	  height: 200px;
	}
	.wheel span:nth-child(1)::before {
		width:200px;
		height:0;
	}

	.eight .wheel span:nth-child(1):before,
	.eight .wheel span:nth-child(2):before,
	.eight .wheel span:nth-child(3):before,
	.eight .wheel span:nth-child(4):before,
	.eight .wheel span:nth-child(5):before,
	.eight .wheel span:nth-child(6):before,
	.eight .wheel span:nth-child(7):before,
	.eight .wheel span:nth-child(8):before { width: 200px; }

  .nine .wheel span:nth-child(1):before,
	.nine .wheel span:nth-child(2):before,
	.nine .wheel span:nth-child(3):before,
	.nine .wheel span:nth-child(4):before,
	.nine .wheel span:nth-child(5):before,
	.nine .wheel span:nth-child(6):before,
	.nine .wheel span:nth-child(7):before,
	.nine .wheel span:nth-child(8):before,
	.nine .wheel span:nth-child(9):before { width: 200px; }
	
	@keyframes bucket_rotate {
	  0% { 
		transform: rotate(0) translateX(100px) rotate(0); 
	  }
	  100% { 
		transform: rotate(360deg) translateX(100px) rotate(-360deg); 
	  }
	}
	
}